<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zhongzheng.modules.exam.mapper.ExamArrangementTimeMapper">

    <resultMap type="com.zhongzheng.modules.exam.domain.ExamArrangementTime" id="ExamArrangementTimeResult">
        <result property="arrangementId" column="arrangement_id"/>
        <result property="startTime" column="start_time"/>
        <result property="endTime" column="end_time"/>
    </resultMap>


    <insert id="insertExamTime" parameterType="map">
        insert into exam_arrangement_time (
        arrangement_id,
        start_time,
        end_time
        )values(
                #{arrangementId},
                #{startTime},
                #{endTime}
             )
    </insert>

    <delete id="removeId" parameterType="Long" >
        DELETE FROM exam_arrangement_time where arrangement_id =#{id}
    </delete>
</mapper>